View Issue Details

IDProjectCategoryView StatusLast Update
0004159unrealircdpublic2018-07-14 17:12
ReporterkatsklawAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.17 
Summary0004159: Add timed channel bans
DescriptionUsing a command other than /mode would likely be best since +b is a RFC mode and we really shouldn't mess up mode stacking ;)
TagsNo tags attached.
3rd party modules

Activities

syzop

2013-01-09 09:05

administrator   ~0017304

This can be implemented (in a module) as an extended ban just fine, like +b ~t:5:*!*@*.aol.com. codemastr has done this more than 8 years ago in a paid module. Of course there are a number of challenges, mostly regarding to unsetting, but just wanted to say if you want this then extbans are the way to go :)

katsklaw

2013-01-10 07:11

reporter   ~0017348

Sounds good. :)

nenolod

2013-01-14 10:54

reporter   ~0017363

I think stuff like this should really be managed by channel bots or services. I guess if someone wants to contribute a patch adding it as an extension module, then we could include it, but it seems uninteresting to me.

syzop

2015-08-08 17:01

administrator   ~0018630

still fine by me, so marking as 'acknowledged'. something like ~t:min:banmask. have currently no plans to code it myself.

benefit over client-side is that even if the client/bot dies, it will be removed.

syzop

2018-07-14 17:12

administrator   ~0020212

This was added in 4.0.17 but forgot to close this report.

commit 92afdb56b551820fd8b796892fa696e019a7f44c
Author: Bram Matthys <syzop@vulnscan.org>
Date: Mon Nov 20 09:16:03 2017 +0100

    Timed bans: ~t:duration:mask
    These are bans that are automatically removed by the server.
    The duration is in minutes and the mask can be any ban mask.
    => Note that you need to load the extbans/timedban module!

Issue History

Date Modified Username Field Change
2013-01-09 05:13 katsklaw New Issue
2013-01-09 09:05 syzop Note Added: 0017304
2013-01-10 07:11 katsklaw Note Added: 0017348
2013-01-14 10:54 nenolod Note Added: 0017363
2015-08-08 17:01 syzop Note Added: 0018630
2015-08-08 17:01 syzop Assigned To => syzop
2015-08-08 17:01 syzop Status new => acknowledged
2018-07-14 17:12 syzop Status acknowledged => closed
2018-07-14 17:12 syzop Resolution open => fixed
2018-07-14 17:12 syzop Fixed in Version => 4.0.17
2018-07-14 17:12 syzop Note Added: 0020212
2018-07-14 17:12 syzop Status closed => resolved